<?php
namespace Ep\WooCommerce;

use Ep\WordPress\Service\AbstractWordPressService;

/**
 * Class TemplateService
 *
 * @package Ep\WooCommerce
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class TemplateService extends AbstractWordPressService
{
	public function attach(): void
	{
		add_filter('woocommerce_locate_template', [$this, 'locateTemplate'], 10, 2);
	}

	public function locateTemplate($located, $templateName)
	{
		$localTemplate = sprintf('%s/woocommerce/%s', EP_WEBSHOP_DIR, $templateName);

		return file_exists($localTemplate)
			? $localTemplate
			: $located;
	}
}